restinio::static_if_details::static_if_impl< true > Struct Reference

`#include <compiler_features.hpp>`

## Static Public Member Functions

template<typename If_Part , typename Else_Part >
static decltype(auto) | call (If_Part &&if_part, Else_Part &&)

## Detailed Description

Definition at line 129 of file compiler_features.hpp.

## Member Function Documentation

## call()

template<typename If_Part , typename Else_Part >

static decltype(auto) restinio::static_if_details::static_if_impl< true >::call | ( | If_Part && | if_part,
|  | Else_Part && |
| ) |  |

inlinestatic

Definition at line 133 of file compiler_features.hpp.

The documentation for this struct was generated from the following file:

- restinio/compiler_features.hpp